## scheme9 2015.03.13

=== debian/changelog ===
scheme9 (2015.03.13-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 20 Mar 2015 10:13:43 +0000

=== debian/control ===
Source: scheme9
Section: lisp
Priority: extra
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9),
	libncurses5-dev | libncurses-dev | ncurses-dev,
	libx11-dev
Standards-Version: 3.9.6
Homepage: http://www.t3x.org/s9fes/index.html
Vcs-Git: git://anonscm.debian.org/collab-maint/scheme9.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git

Package: scheme9
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Scheme 9 from Empty Space R4RS Scheme interpreter
 Scheme 9 from Empty Space is an interpreter for a broad subset of
 R4RS Scheme, and runs in many popular environments, including
 Linux, *BSD, the unmentionable horror, and Plan 9.  The S9fES code
 strives to be simple and comprehensible.  It is particularly
 interesting to people who want to (a) try Scheme without having to
 jump through too many hoops (S9fES is very portable); or (b) study
 the implementation of Scheme (in a language other than Scheme).  A
 free online textbook describing the system is also available.

## scheme9 2015.07.01

=== Makefile ===
# Scheme 9 from Empty Space
# Makefile (obviously)
# By Nils M Holm, 2007-2015
# In the public domain

# Change at least this line:
PREFIX= /u

# Base version and Release
BASE=		20150612
RELEASE=	20150701

# Override default compiler and flags
# CC=	cc
CFLAGS=	-g -Wall -ansi -pedantic -O2

# Which OS are we using (unix or plan9)?
OSDEF=	-Dunix

# Uncomment these to include the Unix extensions
EXTRA_SCM+=	-l ext/unix.scm -l ext/unix-tools.scm
EXTRA_OBJS+=	unix.o
EXTRA_INIT+=	sys_init();
EXTRA_LIBS+=

# Uncomment these to include the Curses extensions
EXTRA_SCM+=	-l ext/curses.scm
EXTRA_OBJS+=	curses.o
EXTRA_INIT+=	curs_init();
EXTRA_LIBS+=	-lncurses

# Options to be added to $(DEFS)
#	-DBITS_PER_WORD_64	# use 64-bit bignum arithmetics
#	-DLIBRARY_PATH="\"dir:...\""
#				# search path for LOCATE-FILE, etc
#	-DNETWORK		# include socket code in the Unix extension
#	-DCURSES_COLOR		# enable the CURS:SET-COLOR primitive
#	-DCURSES_RESET		# automatically run CURS:ENDWIN on the REPL
#				# (requires the Curses extension)

DEFS=	$(OSDEF) \
	-DLIBRARY_PATH="\".:~/s9fes:$(S9DIR)\"" \
	-DEXTENSIONS="$(EXTRA_INIT)" \
	-DNETWORK \
	-DCURSES_COLOR \
	-DCURSES_RESET

# Where to install the stuff
S9DIR=	$(PREFIX)/share/s9fes
BINDIR=	$(PREFIX)/bin
INCDIR=	$(PREFIX)/include
LIBDIR=	$(PREFIX)/lib
MANDIR=	$(PREFIX)/man/man1

# Set up environment to be used during the build process
BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext:contrib

SETPREFIX=	sed -e "s|^\#! /usr/local|\#! $(PREFIX)|"

default:	s9 s9.image s9.1.gz s9.1.txt s9core.a # s9core.pdf

all:	default

s9:	s9.o s9core.o s9core.h $(EXTRA_OBJS)
	$(CC) -o s9 $(LDFLAGS) s9.o s9core.o $(EXTRA_OBJS) $(EXTRA_LIBS)

s9.o:	s9.c s9core.h
	$(CC) -o s9.o $(CFLAGS) $(DEFS) -c s9.c

s9core.o:	s9core.c s9core.h
	$(CC) -o s9core.o $(CFLAGS) $(DEFS) -c s9core.c

s9.image:	s9 s9.scm ext/unix.scm ext/curses.scm config.scm
	$(BUILD_ENV) ./s9 -i - $(EXTRA_SCM) -l config.scm -d s9.image

s9core.a: s9core.o
	ar q s9core.a s9core.o

s9.1.gz:	s9.1
	sed -e "s,@S9DIR@,$(S9DIR)," <s9.1 |gzip -9 >s9.1.gz

unix.o:	ext/unix.c s9core.h
	$(CC) $(CFLAGS) $(DEFS) -I . -o unix.o -c ext/unix.c

curses.o:	ext/curses.c s9core.h
	$(CC) $(CFLAGS) $(DEFS) -I . -o curses.o -c ext/curses.c

s9core.ps:	s9core.tr util/book
	groff -e -p -t -Tps -P-p9i,6i s9core.tr >s9core.ps 2>_meta
	sed -nf util/mktoc.sed <_meta | sed -e 's/  *	/	/' >_toc.tr
	sed -ne 's/^R;\(.*\)/\1/p' <_meta >_xref.tr
	sed -e 's/\.nr \(.*\) \(.*\)/\\f\[CB]\1\\fP \\n\[\1\]/' <_xref.tr \
		| sort -f >_ndx.tr
	groff -e -p -t -Tps -P-p9i,6i s9core.tr >s9core.ps 2>/dev/null

s9core.pdf:	s9core.ps
	pdfwrite -p 432 648 s9core.ps

lint:
	cc -g -Wall -ansi -pedantic -O3 s9.c s9core.c && rm a.out

test:	s9 test.image
	$(BUILD_ENV) ./s9 -i test -f util/test.scm

libtest:	s9 test.image
	$(BUILD_ENV) sh util/libtest.sh

systest:	s9 test.image s9.image
	$(BUILD_ENV) ./s9 -i test -f util/systest.scm

srtest:	s9 test.image
	$(BUILD_ENV) ./s9 -i test -f util/srtest.scm

realtest:	s9 test.image
	$(BUILD_ENV) ./s9 -i test -f util/realtest.scm

test.image:	s9 s9.scm
	$(BUILD_ENV) ./s9 -i - $(EXTRA_SCM) -d test.image

tests: test realtest srtest libtest systest

install:	install-s9 install-util

install-all:	install-s9 install-util install-progs

# old version of install(1) may need -c
#C=-c
install-s9:	s9 s9.scm s9.image s9.1.gz
	install -d -m 0755 $(S9DIR)
	install -d -m 0755 $(S9DIR)/help
	install -d -m 0755 $(BINDIR)
	install -d -m 0755 $(LIBDIR)
	install -d -m 0755 $(INCDIR)
	install -d -m 0755 $(MANDIR)
	install $C -m 0755 s9 $(BINDIR)
	strip $(BINDIR)/s9
	install $C -m 0644 s9.scm $(S9DIR)
	install $C -m 0644 s9.image $(S9DIR)
	install $C -m 0644 lib/* $(S9DIR)
	install $C -m 0644 ext/*.scm $(S9DIR)
	install $C -m 0644 contrib/* $(S9DIR)
	install $C -m 0644 s9.1.gz $(MANDIR)
	install $C -m 0644 help/* $(S9DIR)/help
	install $C -m 0644 s9core.a $(LIBDIR)
	install $C -m 0644 s9core.h $(INCDIR)
	install $C -m 0755 util/make-help-links $(S9DIR)
	(cd $(S9DIR) && ./make-help-links && rm make-help-links)

install-util:
	$(SETPREFIX) <prog/s9help.scm >$(BINDIR)/s9help
	$(SETPREFIX) <prog/s9resolve.scm >$(BINDIR)/s9resolve
	$(SETPREFIX) <prog/scm2html1.scm >$(BINDIR)/scm2html
	$(SETPREFIX) <prog/scmpp.scm >$(BINDIR)/scmpp
	-chmod +x $(BINDIR)/s9help	\
		  $(BINDIR)/s9resolve	\
		  $(BINDIR)/scm2html	\
		  $(BINDIR)/scmpp

install-progs:
	$(SETPREFIX) <prog/advgen.scm >$(BINDIR)/advgen
	$(SETPREFIX) <prog/c2html1.scm >$(BINDIR)/c2html
	$(SETPREFIX) <prog/cols.scm >$(BINDIR)/cols
	$(SETPREFIX) <prog/dupes.scm >$(BINDIR)/dupes
	$(SETPREFIX) <prog/edoc.scm.edoc >$(BINDIR)/edoc
	$(SETPREFIX) <prog/htmlify.scm >$(BINDIR)/htmlify
	$(SETPREFIX) <prog/s9hts.scm >$(BINDIR)/s9hts
	$(SETPREFIX) <prog/soccat.scm >$(BINDIR)/soccat
	-chmod +x $(BINDIR)/advgen	\
		  $(BINDIR)/c2html	\
		  $(BINDIR)/cols	\
		  $(BINDIR)/dupes	\
		  $(BINDIR)/edoc	\
		  $(BINDIR)/htmlify	\
		  $(BINDIR)/s9hts	\
		  $(BINDIR)/soccat

deinstall:	deinstall-s9 deinstall-util deinstall-progs

deinstall-s9:
	rm -f $(S9DIR)/help/* && rmdir $(S9DIR)/help
	rm -f $(S9DIR)/* && rmdir $(S9DIR)
	rm -f $(BINDIR)/s9
	-rmdir $(BINDIR)
	-rmdir $(MANDIR)

deinstall-util:
	rm -f $(BINDIR)/s9help		\
	      $(BINDIR)/s9resolve	\
	      $(BINDIR)/scm2html	\
	      $(BINDIR)/scmpp

deinstall-progs:
	rm -f $(BINDIR)/advgen		\
	      $(BINDIR)/c2html		\
	      $(BINDIR)/cols		\
	      $(BINDIR)/dupes		\
	      $(BINDIR)/edoc		\
	      $(BINDIR)/htmlify		\
	      $(BINDIR)/s9hts		\
	      $(BINDIR)/soccat

tabs:
	@find . -name \*.scm -exec grep -l "	" {} \;

cd:
	./s9 -f util/check-descr.scm

clean:
	rm -f s9 s9.image s9core.a test.image s9.1.gz *.o *.core \
		CATEGORIES.html HACKING.html core s9fes-$(RELEASE).tgz \
		s9fes-$(BASE).tgz s9core-$(RELEASE).tgz __testfile__ \
		s9core.ps s9core.pdf _meta _toc.tr _xref.tr _ndx.tr

new-version:
	vi Makefile s9.c CHANGES
	make s9.c

update-library:
	vi util/make-docs
	util/make-docs
	vi util/make-help-links \
		util/descriptions \
		util/categories.html
	cd help && s9 -f ../util/procedures.scm >INDEX
	@echo
	@echo "Now copy the new help pages from help-new to help"
	@echo "and run util/make-help-links."

s9.1.txt:	s9.1
	$(CC) -o rpp util/rpp.c
	nroff -c -mdoc s9.1 | ./rpp -a >s9.1.txt
	rm -f rpp

docs:	lib ext contrib
	util/make-docs

webdump:
	util/make-html -r $(RELEASE)

advdump:	prog/advgen.scm prog/adventure.adv prog/adventure.intro
	sed -e 's/@dir/quest/' -e 's/@file/index/g' <util/pagehead >pagehead
	prog/advgen.scm -rv \
		-P terminal:session \
		-p pagehead \
		-e util/pagetail \
		-i prog/adventure.intro \
		-t "The Quest for S9fES" \
		-y s9.css \
		prog/adventure.adv
	rm -f pagehead
	cp MASCOT.png advdump
	sed -e 's/^A:link/A/' -e '/^A:visited/,+3d' \
		<util/s9.css >advdump/s9.css

csums:
	csum -u <_csums >_csums.new
	mv _csums.new _csums

mksums:	clean
	find . -type f | grep -v _csums | csum >_csums

dist:	clean s9.1.txt
	make s9core.pdf && mv s9core.pdf _s9core.pdf
	make clean
	mv -f _s9core.pdf s9core.pdf
	cd .. && \
		tar cf - s9 | gzip -9 > s9fes-$(RELEASE).tgz && \
		mv s9fes-$(RELEASE).tgz s9
	rm -f s9core.pdf
	ls -l s9fes-$(RELEASE).tgz | awk '{print int($$5/1024+.5)}'

cdist:
	make s9core.pdf
	tar cf - s9core.[ch] s9core.pdf README.s9core \
		| gzip -9 > s9core-$(RELEASE).tgz 
	rm -f s9core.pdf

arc:	clean s9.1.txt
	cd .. && tar cf - s9 | gzip -9 > s9fes-$(BASE).tgz && \
		mv s9fes-$(BASE).tgz s9
	ls -l s9fes-$(BASE).tgz | awk '{print int($$5/1024+.5)}'

=== debian/changelog ===
scheme9 (2015.07.01-2) unstable; urgency=medium

  * default definition of MAXPATHLEN for Hurd

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 09 Jul 2015 19:52:33 +0100

scheme9 (2015.07.01-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 Jul 2015 13:13:48 +0100

## scheme9 2015.07.14

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Base version and Release
 BASE=		20150612
-RELEASE=	20150701
+RELEASE=	20150714
 
 # Override default compiler and flags
 # CC=	cc
@@ -18,13 +18,13 @@
 OSDEF=	-Dunix
 
 # Uncomment these to include the Unix extensions
-EXTRA_SCM+=	-l ext/unix.scm -l ext/unix-tools.scm
+EXTRA_SCM+=	-l ext/sys-unix/unix.scm -l ext/sys-unix/unix-tools.scm
 EXTRA_OBJS+=	unix.o
 EXTRA_INIT+=	sys_init();
 EXTRA_LIBS+=
 
 # Uncomment these to include the Curses extensions
-EXTRA_SCM+=	-l ext/curses.scm
+EXTRA_SCM+=	-l ext/curses/curses.scm
 EXTRA_OBJS+=	curses.o
 EXTRA_INIT+=	curs_init();
 EXTRA_LIBS+=	-lncurses
@@ -53,7 +53,7 @@
 MANDIR=	$(PREFIX)/man/man1
 
 # Set up environment to be used during the build process
-BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext:contrib
+BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext/sys-unix:ext/curses:contrib
 
 SETPREFIX=	sed -e "s|^\#! /usr/local|\#! $(PREFIX)|"
 
@@ -70,7 +70,7 @@
 s9core.o:	s9core.c s9core.h
 	$(CC) -o s9core.o $(CFLAGS) $(DEFS) -c s9core.c
 
-s9.image:	s9 s9.scm ext/unix.scm ext/curses.scm config.scm
+s9.image:	s9 s9.scm ext/sys-unix/unix.scm ext/curses/curses.scm config.scm
 	$(BUILD_ENV) ./s9 -i - $(EXTRA_SCM) -l config.scm -d s9.image
 
 s9core.a: s9core.o
@@ -79,11 +79,11 @@
 s9.1.gz:	s9.1
 	sed -e "s,@S9DIR@,$(S9DIR)," <s9.1 |gzip -9 >s9.1.gz
 
-unix.o:	ext/unix.c s9core.h
-	$(CC) $(CFLAGS) $(DEFS) -I . -o unix.o -c ext/unix.c
-
-curses.o:	ext/curses.c s9core.h
-	$(CC) $(CFLAGS) $(DEFS) -I . -o curses.o -c ext/curses.c
+unix.o:	ext/sys-unix/unix.c s9core.h
+	$(CC) $(CFLAGS) $(DEFS) -I . -o unix.o -c ext/sys-unix/unix.c
+
+curses.o:	ext/curses/curses.c s9core.h
+	$(CC) $(CFLAGS) $(DEFS) -I . -o curses.o -c ext/curses/curses.c
 
 s9core.ps:	s9core.tr util/book
 	groff -e -p -t -Tps -P-p9i,6i s9core.tr >s9core.ps 2>_meta
@@ -128,6 +128,8 @@
 install-s9:	s9 s9.scm s9.image s9.1.gz
 	install -d -m 0755 $(S9DIR)
 	install -d -m 0755 $(S9DIR)/help
+	install -d -m 0755 $(S9DIR)/help/sys-unix
+	install -d -m 0755 $(S9DIR)/help/curses
 	install -d -m 0755 $(BINDIR)
 	install -d -m 0755 $(LIBDIR)
 	install -d -m 0755 $(INCDIR)
@@ -137,14 +139,14 @@
 	install $C -m 0644 s9.scm $(S9DIR)
 	install $C -m 0644 s9.image $(S9DIR)
 	install $C -m 0644 lib/* $(S9DIR)
-	install $C -m 0644 ext/*.scm $(S9DIR)
+	install $C -m 0644 ext/sys-unix/*.scm $(S9DIR)
+	install $C -m 0644 ext/curses/*.scm $(S9DIR)
 	install $C -m 0644 contrib/* $(S9DIR)
 	install $C -m 0644 s9.1.gz $(MANDIR)
-	install $C -m 0644 help/* $(S9DIR)/help
+	(tar cf - help | tar xfC - $(S9DIR))
 	install $C -m 0644 s9core.a $(LIBDIR)
 	install $C -m 0644 s9core.h $(INCDIR)
 	install $C -m 0755 util/make-help-links $(S9DIR)
-	(cd $(S9DIR) && ./make-help-links && rm make-help-links)
 
 install-util:
 	$(SETPREFIX) <prog/s9help.scm >$(BINDIR)/s9help
@@ -231,8 +233,15 @@
 	nroff -c -mdoc s9.1 | ./rpp -a >s9.1.txt
 	rm -f rpp
 
-docs:	lib ext contrib
+docs:	lib ext/sys-unix ext/sys-plan9 ext/curses contrib
 	util/make-docs
+	mv -f help-new/sys-unix/* help/sys-unix
+#	mv -f help-new/sys-plan9/* help/sys-plan9
+	mv -f help-new/curses/* help/curses
+	rm help-new/sys-plan9/*
+	rmdir help-new/sys-unix help-new/sys-plan9 help-new/curses
+	mv -f help-new/* help
+	rmdir help-new
 
 webdump:
 	util/make-html -r $(RELEASE)

=== debian/changelog ===
scheme9 (2015.07.14-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 23 Jul 2015 08:04:25 +0200

## scheme9 2015.08.10

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Base version and Release
 BASE=		20150612
-RELEASE=	20150714
+RELEASE=	20150810
 
 # Override default compiler and flags
 # CC=	cc
@@ -254,12 +254,10 @@
 		-e util/pagetail \
 		-i prog/adventure.intro \
 		-t "The Quest for S9fES" \
-		-y s9.css \
+		-y ../t3x.css \
 		prog/adventure.adv
 	rm -f pagehead
 	cp MASCOT.png advdump
-	sed -e 's/^A:link/A/' -e '/^A:visited/,+3d' \
-		<util/s9.css >advdump/s9.css
 
 csums:
 	csum -u <_csums >_csums.new

=== debian/changelog ===
scheme9 (2015.08.10-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 26 Aug 2015 07:20:33 +0100

## scheme9 2015.11.08

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Base version and Release
 BASE=		20150612
-RELEASE=	20150810
+RELEASE=	20151108
 
 # Override default compiler and flags
 # CC=	cc

=== debian/changelog ===
scheme9 (2015.11.08-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Nov 2015 15:45:17 +0000

## scheme9 2015.11.19

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Base version and Release
 BASE=		20150612
-RELEASE=	20151108
+RELEASE=	20151119
 
 # Override default compiler and flags
 # CC=	cc

=== debian/changelog ===
scheme9 (2015.11.19-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:45:36 +0000

scheme9 (2015.11.19-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 25 Nov 2015 09:50:27 +0000

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 9),
+	groff, ghostscript,
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
 Standards-Version: 3.9.6

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

mflags=prefix=/usr mandir=/usr/share/man

override_dh_auto_configure:

override_dh_auto_build:
	dh_auto_build -- $(mflags) all

override_dh_auto_install:
	dh_auto_install -- $(mflags) install-all
	echo "Rename binaries to avoid namespace pollution and collisions"
	cd debian/scheme9/usr/bin && \
	 for f in advgen c2html cols dupes edoc htmlify scm2html scmpp soccat; do \
	  mv --verbose $$f s9$$f || true; \
	 done

## scheme9 2016.08.23

=== Makefile ===
--- 
+++ 
@@ -7,12 +7,12 @@
 PREFIX= /u
 
 # Base version and Release
-BASE=		20150612
-RELEASE=	20151119
+BASE=		20160804
+RELEASE=	20160823
 
 # Override default compiler and flags
 # CC=	cc
-CFLAGS=	-g -Wall -ansi -pedantic -O2
+CFLAGS=	-g -Wall -std=c99 -pedantic -O2
 
 # Which OS are we using (unix or plan9)?
 OSDEF=	-Dunix
@@ -61,10 +61,10 @@
 
 all:	default
 
-s9:	s9.o s9core.o s9core.h $(EXTRA_OBJS)
+s9:	s9.o s9core.o $(EXTRA_OBJS)
 	$(CC) -o s9 $(LDFLAGS) s9.o s9core.o $(EXTRA_OBJS) $(EXTRA_LIBS)
 
-s9.o:	s9.c s9core.h
+s9.o:	s9.c s9core.h s9import.h s9ext.h
 	$(CC) -o s9.o $(CFLAGS) $(DEFS) -c s9.c
 
 s9core.o:	s9core.c s9core.h
@@ -79,10 +79,10 @@
 s9.1.gz:	s9.1
 	sed -e "s,@S9DIR@,$(S9DIR)," <s9.1 |gzip -9 >s9.1.gz
 
-unix.o:	ext/sys-unix/unix.c s9core.h
+unix.o:	ext/sys-unix/unix.c s9core.h s9import.h s9ext.h
 	$(CC) $(CFLAGS) $(DEFS) -I . -o unix.o -c ext/sys-unix/unix.c
 
-curses.o:	ext/curses/curses.c s9core.h
+curses.o:	ext/curses/curses.c s9core.h s9import.h s9ext.h
 	$(CC) $(CFLAGS) $(DEFS) -I . -o curses.o -c ext/curses/curses.c
 
 s9core.ps:	s9core.tr util/book

=== debian/changelog ===
scheme9 (2016.08.23-1) unstable; urgency=medium

  * New Upstream Version
  * bump debian version
  * more secure url
  * forward port quilt patches
  
 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 24 Aug 2016 02:28:22 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 	groff, ghostscript,
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.t3x.org/s9fes/index.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/scheme9.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git
 
 Package: scheme9
 Architecture: any

## scheme9 2016.11.30

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Base version and Release
 BASE=		20160804
-RELEASE=	20160823
+RELEASE=	20161130
 
 # Override default compiler and flags
 # CC=	cc
@@ -57,7 +57,7 @@
 
 SETPREFIX=	sed -e "s|^\#! /usr/local|\#! $(PREFIX)|"
 
-default:	s9 s9.image s9.1.gz s9.1.txt s9core.a # s9core.pdf
+default:	s9 s9.image s9.1.gz s9.1.txt libs9core.a # s9core.pdf
 
 all:	default
 
@@ -73,8 +73,8 @@
 s9.image:	s9 s9.scm ext/sys-unix/unix.scm ext/curses/curses.scm config.scm
 	$(BUILD_ENV) ./s9 -i - $(EXTRA_SCM) -l config.scm -d s9.image
 
-s9core.a: s9core.o
-	ar q s9core.a s9core.o
+libs9core.a: s9core.o
+	ar q libs9core.a s9core.o
 
 s9.1.gz:	s9.1
 	sed -e "s,@S9DIR@,$(S9DIR)," <s9.1 |gzip -9 >s9.1.gz
@@ -144,8 +144,9 @@
 	install $C -m 0644 contrib/* $(S9DIR)
 	install $C -m 0644 s9.1.gz $(MANDIR)
 	(tar cf - help | tar xfC - $(S9DIR))
-	install $C -m 0644 s9core.a $(LIBDIR)
+	install $C -m 0644 libs9core.a $(LIBDIR)
 	install $C -m 0644 s9core.h $(INCDIR)
+	install $C -m 0644 s9import.h $(INCDIR)
 	install $C -m 0755 util/make-help-links $(S9DIR)
 
 install-util:
@@ -208,7 +209,7 @@
 	./s9 -f util/check-descr.scm
 
 clean:
-	rm -f s9 s9.image s9core.a test.image s9.1.gz *.o *.core \
+	rm -f s9 s9.image libs9core.a test.image s9.1.gz *.o *.core \
 		CATEGORIES.html HACKING.html core s9fes-$(RELEASE).tgz \
 		s9fes-$(BASE).tgz s9core-$(RELEASE).tgz __testfile__ \
 		s9core.ps s9core.pdf _meta _toc.tr _xref.tr _ndx.tr

=== debian/changelog ===
scheme9 (2016.11.30-1) unstable; urgency=medium

  * New Upstream Version
  * bump to debhelper 10

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 05 Dec 2016 22:05:21 +0000

## scheme9 2016.12.06

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Scheme 9 from Empty Space
 # Makefile (obviously)
-# By Nils M Holm, 2007-2015
+# By Nils M Holm, 2007-2016
 # In the public domain
 
 # Change at least this line:
@@ -8,7 +8,7 @@
 
 # Base version and Release
 BASE=		20160804
-RELEASE=	20161130
+RELEASE=	20161206
 
 # Override default compiler and flags
 # CC=	cc

=== debian/changelog ===
scheme9 (2016.12.06-2) unstable; urgency=medium

  * patch for x32

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Dec 2016 16:19:55 +0100

scheme9 (2016.12.06-1) unstable; urgency=medium

  * New Upstream Version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 18 Dec 2016 20:54:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: lisp
 Priority: extra
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
 	groff, ghostscript,
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@ --parallel
+	dh $@
 
 mflags=prefix=/usr mandir=/usr/share/man

=== debian/watch ===
version=3
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)\.tgz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)([0-9].*)\.tgz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d[a-zA-Z].*)\.tgz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)\.tgz

## scheme9 2017.01.25

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # Scheme 9 from Empty Space
 # Makefile (obviously)
-# By Nils M Holm, 2007-2016
+# By Nils M Holm, 2007-2017
 # In the public domain
 
 # Change at least this line:
 PREFIX= /u
 
 # Base version and Release
-BASE=		20160804
-RELEASE=	20161206
+BASE=		20170124
+RELEASE=	20170125
 
 # Override default compiler and flags
 # CC=	cc
@@ -28,6 +28,12 @@
 EXTRA_OBJS+=	curses.o
 EXTRA_INIT+=	curs_init();
 EXTRA_LIBS+=	-lncurses
+
+# Uncomment these to include the CSV extensions
+EXTRA_SCM+=	-l ext/csv/csv.scm
+EXTRA_OBJS+=	csv.o
+EXTRA_INIT+=	csv_init();
+EXTRA_LIBS+=
 
 # Options to be added to $(DEFS)
 #	-DBITS_PER_WORD_64	# use 64-bit bignum arithmetics
@@ -53,7 +59,7 @@
 MANDIR=	$(PREFIX)/man/man1
 
 # Set up environment to be used during the build process
-BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext/sys-unix:ext/curses:contrib
+BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext/sys-unix:ext/curses:ext/csv:contrib
 
 SETPREFIX=	sed -e "s|^\#! /usr/local|\#! $(PREFIX)|"
 
@@ -70,7 +76,8 @@
 s9core.o:	s9core.c s9core.h
 	$(CC) -o s9core.o $(CFLAGS) $(DEFS) -c s9core.c
 
-s9.image:	s9 s9.scm ext/sys-unix/unix.scm ext/curses/curses.scm config.scm
+s9.image:	s9 s9.scm ext/sys-unix/unix.scm ext/curses/curses.scm \
+		ext/csv/csv.scm config.scm
 	$(BUILD_ENV) ./s9 -i - $(EXTRA_SCM) -l config.scm -d s9.image
 
 libs9core.a: s9core.o
@@ -84,6 +91,9 @@
 
 curses.o:	ext/curses/curses.c s9core.h s9import.h s9ext.h
 	$(CC) $(CFLAGS) $(DEFS) -I . -o curses.o -c ext/curses/curses.c
+
+csv.o:	ext/csv/csv.c s9core.h s9import.h s9ext.h
+	$(CC) $(CFLAGS) $(DEFS) -I . -o csv.o -c ext/csv/csv.c
 
 s9core.ps:	s9core.tr util/book
 	groff -e -p -t -Tps -P-p9i,6i s9core.tr >s9core.ps 2>_meta
@@ -130,6 +140,7 @@
 	install -d -m 0755 $(S9DIR)/help
 	install -d -m 0755 $(S9DIR)/help/sys-unix
 	install -d -m 0755 $(S9DIR)/help/curses
+	install -d -m 0755 $(S9DIR)/help/csv
 	install -d -m 0755 $(BINDIR)
 	install -d -m 0755 $(LIBDIR)
 	install -d -m 0755 $(INCDIR)
@@ -141,6 +152,7 @@
 	install $C -m 0644 lib/* $(S9DIR)
 	install $C -m 0644 ext/sys-unix/*.scm $(S9DIR)
 	install $C -m 0644 ext/curses/*.scm $(S9DIR)
+	install $C -m 0644 ext/csv/*.scm $(S9DIR)
 	install $C -m 0644 contrib/* $(S9DIR)
 	install $C -m 0644 s9.1.gz $(MANDIR)
 	(tar cf - help | tar xfC - $(S9DIR))
@@ -234,13 +246,14 @@
 	nroff -c -mdoc s9.1 | ./rpp -a >s9.1.txt
 	rm -f rpp
 
-docs:	lib ext/sys-unix ext/sys-plan9 ext/curses contrib
+docs:	lib ext/sys-unix ext/sys-plan9 ext/curses ext/csv contrib
 	util/make-docs
 	mv -f help-new/sys-unix/* help/sys-unix
 #	mv -f help-new/sys-plan9/* help/sys-plan9
 	mv -f help-new/curses/* help/curses
+#	mv -f help-new/csv/* help/csv
 	rm help-new/sys-plan9/*
-	rmdir help-new/sys-unix help-new/sys-plan9 help-new/curses
+	rmdir help-new/sys-unix help-new/sys-plan9 help-new/curses help-new/csv
 	mv -f help-new/* help
 	rmdir help-new

=== debian/changelog ===
scheme9 (2017.01.25-1ubuntu1) zesty; urgency=medium

  * Update existing tweak_makefile.patch to rebuild app with -fPIC.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 25 Mar 2017 12:01:59 +0530

scheme9 (2017.01.25-1) unstable; urgency=medium

  * New Upstream Release

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 29 Jan 2017 17:30:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: scheme9
 Section: lisp
 Priority: extra
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 10),
 	groff, ghostscript,
 	libncurses5-dev | libncurses-dev | ncurses-dev,

## scheme9 2017.11.09

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Base version and Release
 BASE=		20170124
-RELEASE=	20170125
+RELEASE=	20171109
 
 # Override default compiler and flags
 # CC=	cc
@@ -63,7 +63,7 @@
 
 SETPREFIX=	sed -e "s|^\#! /usr/local|\#! $(PREFIX)|"
 
-default:	s9 s9.image s9.1.gz s9.1.txt libs9core.a # s9core.pdf
+default:	s9 s9.image s9.1.gz s9.1.txt libs9core.a
 
 all:	default
 
@@ -94,17 +94,6 @@
 
 csv.o:	ext/csv/csv.c s9core.h s9import.h s9ext.h
 	$(CC) $(CFLAGS) $(DEFS) -I . -o csv.o -c ext/csv/csv.c
-
-s9core.ps:	s9core.tr util/book
-	groff -e -p -t -Tps -P-p9i,6i s9core.tr >s9core.ps 2>_meta
-	sed -nf util/mktoc.sed <_meta | sed -e 's/  *	/	/' >_toc.tr
-	sed -ne 's/^R;\(.*\)/\1/p' <_meta >_xref.tr
-	sed -e 's/\.nr \(.*\) \(.*\)/\\f\[CB]\1\\fP \\n\[\1\]/' <_xref.tr \
-		| sort -f >_ndx.tr
-	groff -e -p -t -Tps -P-p9i,6i s9core.tr >s9core.ps 2>/dev/null
-
-s9core.pdf:	s9core.ps
-	pdfwrite -p 432 648 s9core.ps
 
 lint:
 	cc -g -Wall -ansi -pedantic -O3 s9.c s9core.c && rm a.out
@@ -224,7 +213,7 @@
 	rm -f s9 s9.image libs9core.a test.image s9.1.gz *.o *.core \
 		CATEGORIES.html HACKING.html core s9fes-$(RELEASE).tgz \
 		s9fes-$(BASE).tgz s9core-$(RELEASE).tgz __testfile__ \
-		s9core.ps s9core.pdf _meta _toc.tr _xref.tr _ndx.tr
+		_meta _toc.tr _xref.tr _ndx.tr
 
 new-version:
 	vi Makefile s9.c CHANGES
@@ -281,20 +270,15 @@
 	find . -type f | grep -v _csums | csum >_csums
 
 dist:	clean s9.1.txt
-	make s9core.pdf && mv s9core.pdf _s9core.pdf
 	make clean
-	mv -f _s9core.pdf s9core.pdf
 	cd .. && \
 		tar cf - s9 | gzip -9 > s9fes-$(RELEASE).tgz && \
 		mv s9fes-$(RELEASE).tgz s9
-	rm -f s9core.pdf
 	ls -l s9fes-$(RELEASE).tgz | awk '{print int($$5/1024+.5)}'
 
 cdist:
-	make s9core.pdf
-	tar cf - s9core.[ch] s9core.pdf README.s9core \
+	tar cf - s9core.[ch] s9import.h s9core.txt README.s9core \
 		| gzip -9 > s9core-$(RELEASE).tgz 
-	rm -f s9core.pdf
 
 arc:	clean s9.1.txt
 	cd .. && tar cf - s9 | gzip -9 > s9fes-$(BASE).tgz && \

=== debian/changelog ===
scheme9 (2017.11.09-1) unstable; urgency=medium

  * New Upstream Release
  * Bump policy version
  * Manual for s9core now text rather than PDF, adjust accordingly
  * Use modern format for debian/copyright
  * Use secure URLs where possible
  * Section: optional per policy

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 15 Dec 2017 10:39:23 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: scheme9
 Section: lisp
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Priority: optional
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Build-Depends: debhelper (>= 10),
-	groff, ghostscript,
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 3.9.8
-Homepage: http://www.t3x.org/s9fes/index.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/scheme9.git
+Standards-Version: 4.1.2
+Homepage: https://www.t3x.org/s9fes/index.html
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/scheme9.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git
 
 Package: scheme9

=== debian/watch ===
version=3
https://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)\.tgz
https://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)([0-9].*)\.tgz
https://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d[a-zA-Z].*)\.tgz
https://t3x.org/s9fes/s9fes-(\d\d\d\d)\.tgz

## scheme9 2018.06.05

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Scheme 9 from Empty Space
 # Makefile (obviously)
-# By Nils M Holm, 2007-2017
+# By Nils M Holm, 2007-2018
 # In the public domain
 
 # Change at least this line:
@@ -8,10 +8,10 @@
 
 # Base version and Release
 BASE=		20170124
-RELEASE=	20171109
+RELEASE=	20180605
 
 # Override default compiler and flags
-# CC=	cc
+CC=	cc
 CFLAGS=	-g -Wall -std=c99 -pedantic -O2
 
 # Which OS are we using (unix or plan9)?

=== debian/changelog ===
scheme9 (2018.06.05-1) unstable; urgency=medium

  * New Upstream Release
  * Swizzle packaging repo to salze
  * bump to dh11
  * Bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 27 Jun 2018 20:36:51 +0100

## scheme9 2018.07.22

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Base version and Release
 BASE=		20170124
-RELEASE=	20180605
+RELEASE=	20180722
 
 # Override default compiler and flags
 CC=	cc

=== debian/changelog ===
scheme9 (2018.07.22-1) unstable; urgency=medium

  * New Upstream Release
  * forward port x32 patch

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Aug 2018 11:02:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: lisp
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.1.4
 Homepage: https://www.t3x.org/s9fes/index.html
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/scheme9.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/scheme9.git
+Vcs-Git: https://salsa.debian.org/debian/scheme9.git
+Vcs-Browser: https://salsa.debian.org/debian/scheme9
 
 Package: scheme9
 Architecture: any

## scheme9 2018.08.01

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Base version and Release
 BASE=		20170124
-RELEASE=	20180722
+RELEASE=	20180801
 
 # Override default compiler and flags
 CC=	cc

=== debian/changelog ===
scheme9 (2018.08.01-1) unstable; urgency=medium

  * New Upstream Release
  * Bump policy version

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 05 Aug 2018 09:12:19 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 11),
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.0
 Homepage: https://www.t3x.org/s9fes/index.html
 Vcs-Git: https://salsa.debian.org/debian/scheme9.git
 Vcs-Browser: https://salsa.debian.org/debian/scheme9

## scheme9 2018.11.04

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 PREFIX= /u
 
 # Base version and Release
-BASE=		20170124
-RELEASE=	20180801
+BASE=		20181030
+RELEASE=	20181104
 
 # Override default compiler and flags
 CC=	cc
@@ -36,9 +36,9 @@
 EXTRA_LIBS+=
 
 # Options to be added to $(DEFS)
-#	-DBITS_PER_WORD_64	# use 64-bit bignum arithmetics
 #	-DLIBRARY_PATH="\"dir:...\""
 #				# search path for LOCATE-FILE, etc
+#	-DIMAGE_DIR="\"dir\""	# location of image file
 #	-DNETWORK		# include socket code in the Unix extension
 #	-DCURSES_COLOR		# enable the CURS:SET-COLOR primitive
 #	-DCURSES_RESET		# automatically run CURS:ENDWIN on the REPL
@@ -46,6 +46,7 @@
 
 DEFS=	$(OSDEF) \
 	-DLIBRARY_PATH="\".:~/s9fes:$(S9DIR)\"" \
+	-DIMAGE_DIR="\"$(S9DIR)\"" \
 	-DEXTENSIONS="$(EXTRA_INIT)" \
 	-DNETWORK \
 	-DCURSES_COLOR \
@@ -59,7 +60,7 @@
 MANDIR=	$(PREFIX)/man/man1
 
 # Set up environment to be used during the build process
-BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext/sys-unix:ext/curses:ext/csv:contrib
+BUILD_ENV=	env S9FES_LIBRARY_PATH=.:lib:ext/sys-unix:ext/curses:ext/csv:contrib S9FES_IMAGE_DIR=.
 
 SETPREFIX=	sed -e "s|^\#! /usr/local|\#! $(PREFIX)|"
 
@@ -99,19 +100,19 @@
 	cc -g -Wall -ansi -pedantic -O3 s9.c s9core.c && rm a.out
 
 test:	s9 test.image
-	$(BUILD_ENV) ./s9 -i test -f util/test.scm
+	$(BUILD_ENV) ./s9 -i test.image util/test.scm
 
 libtest:	s9 test.image
 	$(BUILD_ENV) sh util/libtest.sh
 
 systest:	s9 test.image s9.image
-	$(BUILD_ENV) ./s9 -i test -f util/systest.scm
+	$(BUILD_ENV) ./s9 -i test.image util/systest.scm
 
 srtest:	s9 test.image
-	$(BUILD_ENV) ./s9 -i test -f util/srtest.scm
+	$(BUILD_ENV) ./s9 -i test.image util/srtest.scm
 
 realtest:	s9 test.image
-	$(BUILD_ENV) ./s9 -i test -f util/realtest.scm
+	$(BUILD_ENV) ./s9 -i test.image util/realtest.scm
 
 test.image:	s9 s9.scm
 	$(BUILD_ENV) ./s9 -i - $(EXTRA_SCM) -d test.image
@@ -124,7 +125,7 @@
 
 # old version of install(1) may need -c
 #C=-c
-install-s9:	s9 s9.scm s9.image s9.1.gz
+install-s9:	s9 s9.scm s9.image s9.1.gz libs9core.a
 	install -d -m 0755 $(S9DIR)
 	install -d -m 0755 $(S9DIR)/help
 	install -d -m 0755 $(S9DIR)/help/sys-unix
@@ -148,7 +149,6 @@
 	install $C -m 0644 libs9core.a $(LIBDIR)
 	install $C -m 0644 s9core.h $(INCDIR)
 	install $C -m 0644 s9import.h $(INCDIR)
-	install $C -m 0755 util/make-help-links $(S9DIR)
 
 install-util:
 	$(SETPREFIX) <prog/s9help.scm >$(BINDIR)/s9help
@@ -207,47 +207,41 @@
 	@find . -name \*.scm -exec grep -l "	" {} \;
 
 cd:
-	./s9 -f util/check-descr.scm
+	./s9 -i ./s9.image -f util/check-descr.scm
 
 clean:
-	rm -f s9 s9.image libs9core.a test.image s9.1.gz *.o *.core \
+	rm -f s9 s9.image libs9core.a test.image s9.1.gz *.o *.core a.out \
 		CATEGORIES.html HACKING.html core s9fes-$(RELEASE).tgz \
 		s9fes-$(BASE).tgz s9core-$(RELEASE).tgz __testfile__ \
 		_meta _toc.tr _xref.tr _ndx.tr
 
 new-version:
-	vi Makefile s9.c CHANGES
+	vi Makefile s9.c HISTORY
 	make s9.c
 
 update-library:
 	vi util/make-docs
-	util/make-docs
-	vi util/make-help-links \
-		util/descriptions \
-		util/categories.html
-	cd help && s9 -f ../util/procedures.scm >INDEX
+	sh util/make-docs
+	vi util/descriptions util/categories.html
 	@echo
 	@echo "Now copy the new help pages from help-new to help"
-	@echo "and run util/make-help-links."
 
 s9.1.txt:	s9.1
 	$(CC) -o rpp util/rpp.c
 	nroff -c -mdoc s9.1 | ./rpp -a >s9.1.txt
 	rm -f rpp
 
-docs:	lib ext/sys-unix ext/sys-plan9 ext/curses ext/csv contrib
-	util/make-docs
+docs:	lib ext/sys-unix ext/curses ext/csv contrib
+	sh util/make-docs
 	mv -f help-new/sys-unix/* help/sys-unix
-#	mv -f help-new/sys-plan9/* help/sys-plan9
 	mv -f help-new/curses/* help/curses
 #	mv -f help-new/csv/* help/csv
-	rm help-new/sys-plan9/*
-	rmdir help-new/sys-unix help-new/sys-plan9 help-new/curses help-new/csv
+	rmdir help-new/sys-unix help-new/curses help-new/csv
 	mv -f help-new/* help
 	rmdir help-new
 
 webdump:
-	util/make-html -r $(RELEASE)
+	sh util/make-html -r $(RELEASE)
 
 advdump:	prog/advgen.scm prog/adventure.adv prog/adventure.intro
 	sed -e 's/@dir/quest/' -e 's/@file/index/g' <util/pagehead >pagehead
@@ -271,8 +265,7 @@
 
 dist:	clean s9.1.txt
 	make clean
-	cd .. && \
-		tar cf - s9 | gzip -9 > s9fes-$(RELEASE).tgz && \
+	cd .. && tar cf - s9 | gzip -9 > s9fes-$(RELEASE).tgz && \
 		mv s9fes-$(RELEASE).tgz s9
 	ls -l s9fes-$(RELEASE).tgz | awk '{print int($$5/1024+.5)}'
 
@@ -280,7 +273,7 @@
 	tar cf - s9core.[ch] s9import.h s9core.txt README.s9core \
 		| gzip -9 > s9core-$(RELEASE).tgz 
 
-arc:	clean s9.1.txt
+arc:	clean
 	cd .. && tar cf - s9 | gzip -9 > s9fes-$(BASE).tgz && \
 		mv s9fes-$(BASE).tgz s9
 	ls -l s9fes-$(BASE).tgz | awk '{print int($$5/1024+.5)}'

=== debian/changelog ===
scheme9 (2018.11.04-1) unstable; urgency=medium

  * New upstream version
  * Forward port patches

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 05 Nov 2018 09:03:51 +0000

scheme9 (2018.11.01-1) unstable; urgency=medium

  * New upstream version
  * Disable encryption in uscan until server grows longer keys
  * Forward port patches

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Nov 2018 10:01:45 +0000

scheme9 (2018.10.28-1) unstable; urgency=medium

  * New upstream version
  * Forward port patches
  * Add somewhat-portable word size determination patch
  * Patch declaration bug

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Oct 2018 18:15:24 +0000

scheme9 (2018.08.23-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 25 Aug 2018 19:29:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 11),
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://www.t3x.org/s9fes/index.html
 Vcs-Git: https://salsa.debian.org/debian/scheme9.git
 Vcs-Browser: https://salsa.debian.org/debian/scheme9

## scheme9 2018.12.05

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 PREFIX= /u
 
 # Base version and Release
-BASE=		20181030
-RELEASE=	20181104
+BASE=		20181115
+RELEASE=	20181205
 
 # Override default compiler and flags
 CC=	cc
@@ -114,10 +114,13 @@
 realtest:	s9 test.image
 	$(BUILD_ENV) ./s9 -i test.image util/realtest.scm
 
+coretest:	s9core.c s9core.h s9import.h
+	$(CC) $(CFLAGS) $(DEFS) -DTEST s9core.c && ./a.out && rm -f a.out
+
 test.image:	s9 s9.scm
 	$(BUILD_ENV) ./s9 -i - $(EXTRA_SCM) -d test.image
 
-tests: test realtest srtest libtest systest
+tests: coretest test realtest srtest libtest systest
 
 install:	install-s9 install-util

=== debian/changelog ===
scheme9 (2018.12.05-2) unstable; urgency=low

  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.
  * bump to debhelper 12
  * Rules-Requires-Root: no

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 15 Aug 2020 16:25:12 +0100

scheme9 (2018.12.05-1) unstable; urgency=medium

  * New upstream version
  * bump policy version
  * bump to debhelper 12

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 21 Jan 2019 15:46:27 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: lisp
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.t3x.org/s9fes/index.html
 Vcs-Git: https://salsa.debian.org/debian/scheme9.git
 Vcs-Browser: https://salsa.debian.org/debian/scheme9

=== debian/watch ===
version=3
# Disable https until the server keys grow a few bits.
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)\.tgz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d)([0-9].*)\.tgz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)(\d\d)(\d\d[a-zA-Z].*)\.tgz
http://t3x.org/s9fes/s9fes-(\d\d\d\d)\.tgz

## scheme9 2025.08.11

=== Makefile ===
--- 
+++ 
@@ -1,14 +1,14 @@
 # Scheme 9 from Empty Space
 # Makefile (obviously)
-# By Nils M Holm, 2007-2018
+# By Nils M Holm, 2007-2025
 # In the public domain
 
 # Change at least this line:
 PREFIX= /u
 
 # Base version and Release
-BASE=		20181115
-RELEASE=	20181205
+BASE=		20250805
+RELEASE=	20250811
 
 # Override default compiler and flags
 CC=	cc
@@ -246,8 +246,11 @@
 webdump:
 	sh util/make-html -r $(RELEASE)
 
+cmsdump:
+	sh util/make-cms -r $(RELEASE)
+
 advdump:	prog/advgen.scm prog/adventure.adv prog/adventure.intro
-	sed -e 's/@dir/quest/' -e 's/@file/index/g' <util/pagehead >pagehead
+	sed -e 's/@dir/s9game/' -e 's/@file/index/g' <util/pagehead >pagehead
 	prog/advgen.scm -rv \
 		-P terminal:session \
 		-p pagehead \
@@ -273,7 +276,7 @@
 	ls -l s9fes-$(RELEASE).tgz | awk '{print int($$5/1024+.5)}'
 
 cdist:
-	tar cf - s9core.[ch] s9import.h s9core.txt README.s9core \
+	tar cf - s9core.[ch] s9import.h s9ext.h s9core.txt README.s9core \
 		| gzip -9 > s9core-$(RELEASE).tgz 
 
 arc:	clean

=== debian/changelog ===
scheme9 (2025.08.11-1) unstable; urgency=medium

  * New upstream version
  * Update standards version to 4.7.2, no changes needed
  * Update watch file format version to 4

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 23 Jul 2021 21:05:17 -0000

=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,6 @@
 	 for f in advgen c2html cols dupes edoc htmlify scm2html scmpp soccat; do \
 	  mv --verbose $$f s9$$f || true; \
 	 done
+
+override_dh_installchangelogs:
+	dh_installchangelogs -- HISTORY

=== debian/watch ===
version=4
http://t3x.org/s9fes s9fes-(\d\d\d\d)(\d\d)(\d\d)\.tgz
http://t3x.org/s9fes s9fes-(\d\d\d\d)(\d\d)(\d\d)([0-9].*)\.tgz
http://t3x.org/s9fes s9fes-(\d\d\d\d)(\d\d)(\d\d[a-zA-Z].*)\.tgz
http://t3x.org/s9fes s9fes-(\d\d\d\d)\.tgz

## scheme9 2025.08.12

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Base version and Release
 BASE=		20250805
-RELEASE=	20250811
+RELEASE=	20250812
 
 # Override default compiler and flags
 CC=	cc
@@ -231,7 +231,7 @@
 
 s9.1.txt:	s9.1
 	$(CC) -o rpp util/rpp.c
-	nroff -c -mdoc s9.1 | ./rpp -a >s9.1.txt
+	nroff -c -man s9.1 | ./rpp -a >s9.1.txt
 	rm -f rpp
 
 docs:	lib ext/sys-unix ext/curses ext/csv contrib

=== debian/changelog ===
scheme9 (2025.08.12-2) unstable; urgency=medium

  * Tweak Makefile to augment rather than override $(CFLAGS)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 Aug 2025 02:08:27 +0100

scheme9 (2025.08.12-1) unstable; urgency=medium

  * New upstream version
  * Tweak debian/watch
  * Refresh patches

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 25 Aug 2025 18:38:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends: debhelper-compat (= 13),
 	libncurses5-dev | libncurses-dev | ncurses-dev,
 	libx11-dev
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.t3x.org/s9fes/index.html
 Vcs-Git: https://salsa.debian.org/debian/scheme9.git
 Vcs-Browser: https://salsa.debian.org/debian/scheme9

=== debian/watch ===
version=4
https://t3x.org/s9fes/ s9fes-(\d\d\d\d)(\d\d)(\d\d)@ARCHIVE_EXT@
https://t3x.org/s9fes/ s9fes-(\d\d\d\d)(\d\d)(\d\d)([0-9].*)@ARCHIVE_EXT@
https://t3x.org/s9fes/ s9fes-(\d\d\d\d)(\d\d)(\d\d[a-zA-Z].*)@ARCHIVE_EXT@
https://t3x.org/s9fes/ s9fes-(\d\d\d\d)@ARCHIVE_EXT@
